+ Reply to Thread
Page 10 of 10 FirstFirst ... 8 9 10
Results 91 to 94 of 94
  1. #91
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,357

    Default

    Registered forum members do not see this ad.

    I just pointed you at a lisp routine. Tharwat has done all the grunt work. Gratis too.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  2. #92
    Luminous Being Tharwat's Avatar
    Discipline
    Mechanical
    Tharwat's Discipline Details
    Occupation
    MEP AutoCAD Draughtsman
    Discipline
    Mechanical
    Details
    HVAC, Drainage, Water Supply, Fire Fighting and a little about Electricity.
    Using
    AutoCAD 2015
    Join Date
    Oct 2009
    Location
    Great Syria , Living in Abu Dhabi
    Posts
    6,047

    Default

    Quote Originally Posted by ryan osmun View Post
    also if you wanted to touch it up, once you have selected one circle it cannot go back to that circle, if you could make it so that it can go back to ones that have already gone over that would be really good to.
    Quote Originally Posted by ReMark View Post
    Maybe you could try restarting the command.
    Here is my final modification for this and it could repeat as much as you want .

    Code:
    (defun c:CirlesAutoDim
           (/ *error* c go p1 gr e ent dimension p2 lst ang)
      (vl-load-com)
    ;;;   Tharwat Al Shoufi  12. 10. 2012 ;;;
    ;;; Create Dimensions between circles ;;;
      (defun *error* (x) (princ "\n *Cancel*") (princ))
      (if (not acdoc)
        (setq acdoc (vla-get-activedocument (vlax-get-acad-object)))
      )
      (setq spc (if (> (vla-get-activespace acdoc) 0)
                  (vla-get-modelspace acdoc)
                  (vla-get-paperspace acdoc)
                )
      )
      (prompt "\n Select start Circle ...")
      (if (setq c (ssget "_+.:S" '((0 . "CIRCLE"))))
        (progn
          (setq p1 (cdr (assoc 10 (entget (ssname c 0)))))
          (setq go t)
          (setq
            lst (cons (cdr (assoc -1 (entget (ssname c 0)))) lst)
          )
        )
        (princ "\n Nothing selected or not a Circle object ")
      )
      (while (and go (eq 5 (car (setq gr (grread t 15 2)))))
        (redraw)
        (princ
          "\r Move cursor over circles to add dimension entity between them :"
        )
        (if (and (setq e (ssget (cadr gr)))
                 (eq (cdr (assoc 0 (setq ent (entget (ssname e 0)))))
                     "CIRCLE"
                 )
                 (not (member (cdr (assoc -1 ent)) lst))
            )
          (progn
            (setq
              dimension (vla-adddimaligned
                          spc
                          (vlax-3d-point p1)
                          (vlax-3d-point (setq p2 (cdr (assoc 10 ent))))
                          (vlax-3d-point (setq p2 (cdr (assoc 10 ent))))
                        )
            )
            (setq ang (angle p1 p2))
            (cond ((and (>= ang (/ pi 2.)) (<= ang (+ pi (/ pi 2.))))
                   (setq ang (+ ang pi))
                  )
                  ((= ang pi) (setq ang (- ang pi)))
                  ((> ang 0.0) (setq ang (- ang (+ pi pi))))
            )
            (vla-put-textrotation dimension ang)
            (setq p1 p2)
            (setq lst (cons (cdr (assoc -1 ent)) lst))
            (if (>= (length lst) 3)
              (setq lst (vl-remove (nth 0 (reverse lst)) lst))
            )
          )
        )
      )
      (princ "\n Written by Tharwat Al Shoufi")
      (princ)
    )

  3. #93
    Full Member
    Using
    AutoCAD 2012
    Join Date
    Oct 2012
    Posts
    46

    Default

    again thanks a million that is great and will save me a ton of time!

  4. #94
    Luminous Being Tharwat's Avatar
    Discipline
    Mechanical
    Tharwat's Discipline Details
    Occupation
    MEP AutoCAD Draughtsman
    Discipline
    Mechanical
    Details
    HVAC, Drainage, Water Supply, Fire Fighting and a little about Electricity.
    Using
    AutoCAD 2015
    Join Date
    Oct 2009
    Location
    Great Syria , Living in Abu Dhabi
    Posts
    6,047

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by ryan osmun View Post
    again thanks a million that is great and will save me a ton of time!
    Enjoy it Ryan

    Best of luck .

    Tharwat

Similar Threads

  1. Scaling and dimensioning question
    By warbeetle in forum AutoCAD Beginners' Area
    Replies: 11
    Last Post: 21st Oct 2012, 10:51 pm
  2. Quick dimensioning question...
    By Mason Dixon in forum AutoCAD Beginners' Area
    Replies: 5
    Last Post: 5th Mar 2010, 02:58 pm
  3. command line up arrow question, and grip edit distance question
    By Rebel in forum AutoCAD Drawing Management & Output
    Replies: 7
    Last Post: 2nd Jun 2008, 03:15 pm
  4. Can anyone help? Question about dimensioning...
    By SmagBoy in forum AutoCAD Drawing Management & Output
    Replies: 5
    Last Post: 19th Aug 2005, 07:02 am
  5. Ordinate Dimensioning Question
    By DREWDIN in forum AutoCAD General
    Replies: 1
    Last Post: 29th Jul 2004, 08:59 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts